cURL
curl --request POST \
--url https://api.crunchz.app/api/send-message/location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "xxx@c.us",
"latitude": "38.8937255",
"longitude": "-77.0969763",
"title": "Our office",
"reply_to": "message_id_here"
}
'import requests
url = "https://api.crunchz.app/api/send-message/location"
payload = {
"contact_id": "xxx@c.us",
"latitude": "38.8937255",
"longitude": "-77.0969763",
"title": "Our office",
"reply_to": "message_id_here"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: 'xxx@c.us',
latitude: '38.8937255',
longitude: '-77.0969763',
title: 'Our office',
reply_to: 'message_id_here'
})
};
fetch('https://api.crunchz.app/api/send-message/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"status": "<string>",
"message": "<string>",
"timestamp": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Messages
Send Location
Share geographic location coordinates with WhatsApp users for delivery tracking, navigation, and location-based services.
POST
/
send-message
/
location
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Contact ID.
Required string length:
10 - 50Pattern:
^[0-9]+@[cs]\.us$Example:
"xxx@c.us"
Latitude of the location..
Pattern:
^-?([0-8]?[0-9]|90)(\.[0-9]{1,10})?$Example:
"38.8937255"
Longitude of the location.
Pattern:
^-?(1[0-7][0-9]|[0-9]?[0-9]|180)(\.[0-9]{1,10})?$Example:
"-77.0969763"
Title of the location.
Required string length:
1 - 100Example:
"Our office"
Message ID to reply to (optional)
Required string length:
1 - 100Pattern:
^[A-Za-z0-9_-]+$Example:
"message_id_here"
Was this page helpful?
⌘I